package cn.yw.nhyw.nhywjtxhdgl.dao;
import cn.base.dao.BaseSqlMapDAO;
import org.springframework.stereotype.Repository;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

@Repository("nhywjtxhdglDao")
public class NhywjtxhdglDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Nhywjtxhdgl(Map map) throws SQLException{
		this.insert("insert_Nhywjtxhdgl",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Nhywjtxhdgl(List batch) throws SQLException{
		this.insert("batch_insert_Nhywjtxhdgl",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtxhdgl(Map map) throws SQLException{
		return this.update("update_Nhywjtxhdgl",map);
	}

	/**
	 * 修改交通信号灯
	 */
	public Integer updateJtxhdJdWdByXh(Map map) throws SQLException{
		return this.update("updateJtxhdJdWdByXh",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtxhdgl(Map map) throws SQLException{
		return this.delete("delete_Nhywjtxhdgl",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	/*
	public Integer batch_delete_Nhywjtxhdgl(Map map) throws SQLException{
		return this.delete("batch_delete_Nhywjtxhdgl",map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	public Integer count_Nhywjtxhdgl(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Nhywjtxhdgl",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Nhywjtxhdgl(Map map) throws SQLException{
		return this.queryForPage("query_Nhywjtxhdgl",map);
	}
	
	/**
	 * 查询全部记录
	 */
	public List<Map> query_AllNhywjtxhdgl(Map map) throws SQLException{
		return this.queryForList("query_Nhywjtxhdgl", map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Nhywjtxhdgl(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Nhywjtxhdgl",map);
	}
	//查询mysql
	public List<Map>   listXHDStatus () throws SQLException{
		return (List<Map>) this.queryForPage("query_XHDStatus",null);
	}
	public List<Map>   query_NhywjtxhdglState (Map map) throws SQLException{
		return  this.queryForList("query_NhywjtxhdglState",map);
	}

	public Integer  count_NhywjtxhdglState(Map  map )throws SQLException{
		return (Integer) this.queryForObject("count_NhywjtxhdglState",map);
	}

	public List<Map> query_NhywjtxhdglHistoryState(Map map) throws SQLException{
		return  this.queryForPage("query_NhywjtxhdglHistoryState",map);
	}

	public Integer count_NhywjtxhdglHistoryState(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_NhywjtxhdglHistoryState",map);
	}
	public List<Map> query_NhywjtxhdglStateStatis(Map map) throws SQLException{
		return  this.queryForPage("query_NhywjtxhdglStateStatis",map);
	}
	public Integer xhdOnline() throws SQLException{
		return  (Integer)this.queryForObject("xhdOnline",null);
	}
	public List<Map> query_Ywxhdstatusinfo(Map map) throws SQLException{
		return  this.queryForPage("query_Ywxhdstatusinfo",map);
	}
	public Integer count_Ywxhdstatusinfo(Map map) throws SQLException{
		return  (Integer)this.queryForObject("count_Ywxhdstatusinfo",map);
	}
	public  List<Map> get_YwNoTaskxhdstatusinfo(Map map)throws SQLException{
		return this.queryForPage("query_YwNoTaskxhdstatusinfo",map);
	}

	public Integer get_YwNoTaskxhdstatusCount(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_YwNoTaskxhdstatusinfo",map);
	}
	// 更新
	public Integer edit_Ywxhdinfo(Map map) throws SQLException{
		return this.update("edit_Ywxhdinfo",map);
	}
	public  List<Map>   query_AllNhywjtxhdglGroupByqybh(Map map) throws SQLException{
		return this.queryForList("query_AllNhywjtxhdglGroupByqybh",map);
	}

	// 更新当前维修状态
	public Integer update_NhyxhdCurrentState(Map map) throws SQLException{
		return this.update("update_NhyxhdCurrentState",map);
	}


}
